rm -rf "$lockdir"
if [ $released_lock_date == 0 ]; then
zpool export $destpool
- /usr/local/etc/bin/usb-drive-power off
+ /usr/local/etc/bin/ext-drive-power off
echo `date` ZFS admin lock released >> $logfile
fi
exit
echo "$date ZFS admin lock obtained" >> $logfile
# Poweron the destpool and import it
-/usr/local/etc/bin/usb-drive-power on >> $logfile
+/usr/local/etc/bin/ext-drive-power on >> $logfile
zpool import $destpool
# List the filesystems to replicate
# Export the destpool and power it down
zpool export $destpool
-/usr/local/etc/bin/usb-drive-power off >> $logfile
+/usr/local/etc/bin/ext-drive-power off >> $logfile
# Release our lock
released_lock_date=1
--- /dev/null
+#!/bin/bash
+
+# Author: Alan J. Pippin
+# Description: This script will attempt to scrub a given EXT drive
+# This script ensures that only 1 scrub operation is
+# running at any given time. This serializes the zfs
+# scrub process for any pool.
+
+maxsleeptime=360
+mailto=root
+logfile=/var/log/zfs/zfs-scrub.log
+
+for i in backups
+do
+ # Check to see if any zfs filesystem has a scrub being performed on it now.
+ # If it does, we cannot perform more than one scrub operation at a time.
+ while true; do
+ /sbin/zpool status | grep scrub: | grep "in progress" > /dev/null 2>&1
+ if [ $? == 0 ]; then
+ # Another zpool scrub operation is already running
+ # Wait until it is done before continuing
+ ransleep=$(($RANDOM % $maxsleeptime))
+ sleep $ransleep
+ else
+ # Another zpool scrub operation is not running
+ break
+ fi
+ done
+
+ date=`date`
+ echo "$date: Scrub started for zfs pool $i" >> $logfile
+ /usr/local/etc/bin/ext-drive-power on >> /dev/null
+ /sbin/zpool import $i
+ /sbin/zpool scrub $i
+
+ # Wait until the scrub completes, and check for any errors
+ while true; do
+ /sbin/zpool status $i | grep scrub: | grep "in progress" > /dev/null 2>&1
+ if [ $? == 0 ]; then
+ # Our zpool scrub operation is still running
+ # Wait until it is done before continuing
+ ransleep=$(($RANDOM % $maxsleeptime))
+ sleep $ransleep
+ else
+ # Our scrub operation has completed
+ break
+ fi
+ done
+
+ date=`date`
+ echo "$date: Scrub completed for zfs pool $i" >> $logfile
+
+ # Check for any scrub errors
+ /sbin/zpool status $i | grep scrub: | grep "with 0 errors" > /dev/null 2>&1
+ if [ $? != 0 ]; then
+ # The scrub found errors
+ /sbin/zpool status $i | /usr/bin/mailx -s "zpool scrub $i found errors" $mailto
+ fi
+
+ # Power off the EXT drive
+ /sbin/zpool export $i
+ /usr/local/etc/bin/ext-drive-power off >> /dev/null
+
+done
+
+++ /dev/null
-#!/bin/bash
-
-# Author: Alan J. Pippin
-# Description: This script will attempt to scrub a given USB drive
-# This script ensures that only 1 scrub operation is
-# running at any given time. This serializes the zfs
-# scrub process for any pool.
-
-maxsleeptime=360
-mailto=root
-logfile=/var/log/zfs/zfs-scrub.log
-
-for i in backups
-do
- # Check to see if any zfs filesystem has a scrub being performed on it now.
- # If it does, we cannot perform more than one scrub operation at a time.
- while true; do
- /sbin/zpool status | grep scrub: | grep "in progress" > /dev/null 2>&1
- if [ $? == 0 ]; then
- # Another zpool scrub operation is already running
- # Wait until it is done before continuing
- ransleep=$(($RANDOM % $maxsleeptime))
- sleep $ransleep
- else
- # Another zpool scrub operation is not running
- break
- fi
- done
-
- date=`date`
- echo "$date: Scrub started for zfs pool $i" >> $logfile
- /usr/local/etc/bin/usb-drive-power on >> /dev/null
- /sbin/zpool import $i
- /sbin/zpool scrub $i
-
- # Wait until the scrub completes, and check for any errors
- while true; do
- /sbin/zpool status $i | grep scrub: | grep "in progress" > /dev/null 2>&1
- if [ $? == 0 ]; then
- # Our zpool scrub operation is still running
- # Wait until it is done before continuing
- ransleep=$(($RANDOM % $maxsleeptime))
- sleep $ransleep
- else
- # Our scrub operation has completed
- break
- fi
- done
-
- date=`date`
- echo "$date: Scrub completed for zfs pool $i" >> $logfile
-
- # Check for any scrub errors
- /sbin/zpool status $i | grep scrub: | grep "with 0 errors" > /dev/null 2>&1
- if [ $? != 0 ]; then
- # The scrub found errors
- /sbin/zpool status $i | /usr/bin/mailx -s "zpool scrub $i found errors" $mailto
- fi
-
- # Power off the USB drive
- /sbin/zpool export $i
- /usr/local/etc/bin/usb-drive-power off >> /dev/null
-
-done
-